/*! formstone v1.4.13 [upload.css] 2019-03-17 | GPL-3.0 License | formstone.it */
.fs-upload {
    position: relative;
    overflow: hidden
}

.fs-upload, .fs-upload *, .fs-upload :after, .fs-upload :before, .fs-upload:after, .fs-upload:before {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: none;
    transition: none;
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important
}

.fs-upload-input {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    opacity: 0;
    pointer-events: none
}

.upload-container {
    max-width: 700px;
    margin: 20px auto;
    height: 250px;
}

.fs-upload-target {
    cursor: pointer;
    background: #fff;
    border: 2px dashed #5a481d;
    border-radius: 2px;
    color: hsl(42, 51%, 23%);
    font-size: 18px;
    text-align: center;
    padding: 0 20px;
    height: 100%;
    width: 100%;
    -webkit-transition: background-color .25s ease-in-out;
    -moz-transition: background-color .25s ease-in-out;
    transition: background-color .25s ease-in-out;
}

.fs-upload-target:hover {
    background-color: #f7f6f3;
}

.fs-upload-disabled .fs-upload-target, .no-touch .fs-upload-disabled:hover .fs-upload-target {
    cursor: default;
    cursor: not-allowed
}

/* File drop area style */

.filelists {
    margin: 20px 0;
}

.filelists h5 {
    margin: 10px 0 0;
}

.filelists .cancel_all {
    color: red;
    cursor: pointer;
    clear: both;
    font-size: 10px;
    margin: 0;
    text-transform: uppercase;
}

.filelist {
    margin: 0;
    padding: 10px 0;
}

.filelist li {
    background: #fff;
    border-bottom: 1px solid #ECEFF1;
    font-size: 14px;
    list-style: none;
    padding: 5px;
    position: relative;
}

.filelist li:before {
    display: none !important;
}

.filelist li .upload-progress {
    width: 100%;
    height: 5px;
    background-color: #e2e2e2;
    position: relative;
    margin-bottom: 30px;
}

.filelist li .bar {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    background-color: #5a481d;
    width: 0;
    z-index: 0;
    -webkit-transition: width 0.1s linear;
    transition: width 0.1s linear;
}

.filelist li .bar-perc {
    position: absolute;
    left: 0;
    bottom: -30px;
    -webkit-transition: left 0.1s linear;
    transition: left 0.1s linear;
    /*transform: translateX(-100%);*/
}

.filelist li .cancel-upload {
    cursor: pointer;
    background-color: transparent;
}

.filelist li .content {
    display: block;
    overflow: hidden;
    position: relative;
    z-index: 1;
}

.filelist li .file {
    color: #455A64;
    float: left;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 50%;
    white-space: nowrap;
}

.filelist li .progress {
    color: #B0BEC5;
    display: block;
    float: right;
    font-size: 10px;
    text-transform: uppercase;
}

.filelist li .cancel {
    color: red;
    cursor: pointer;
    display: block;
    float: right;
    font-size: 10px;
    margin: 0 0 0 10px;
    text-transform: uppercase;
}

.filelist li.error .file {
    color: red;
}

.filelist li.error .progress {
    color: red;
}
/*
.filelist li.error .cancel {
    display: none;
}*/

/* File drop area style END */